## deejayd 0.10.0

=== debian/changelog ===
deejayd (0.10.0-5) unstable; urgency=low

  * Fix typo in mozilla-devscripts versionned dep.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 27 May 2013 14:32:13 +0000

deejayd (0.10.0-4) unstable; urgency=low

  * Add upstream inotify fixes.
  * Remove ${python:Breaks} and build dependency on python-support which
    are not useful anymore with dh_python2.
  * Update policy to 3.9.2: Nothing to do.
  * deejayd-webui-extension :
      - Set compatibility to Firefox 8.
      - Rename to xul-ext-deejayd-webui per draft policy.
      - Use mozilla-devscripts for install target (Closes: #638483).

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Sat, 03 Sep 2011 16:07:29 +0200

deejayd (0.10.0-3) unstable; urgency=low

  * Add more upstream bug fixes.
  * Add patch for Android mobile web ui fix.
  * Simplify a lot debian/rules thanks to debhelper 7.
  * Add upstream feature : save volume by media type.
  * Add patch for XUL ext compatibility with Firefox 4.
  * Use dh_python2 (Closes: #616787).
  * Drop end dates in debian/copyright in order to avoid further updates.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Tue, 15 Mar 2011 22:56:31 +0100

deejayd (0.10.0-2) unstable; urgency=low

  * Add the ability to disable the deejayd initscript in /etc/default/deejayd.
  * Switch to dpkg-source 3.0 (quilt) format
  * Add some upstream bugfixes.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 28 Jun 2010 22:14:35 +0200

deejayd (0.10.0-1) UNRELEASED; urgency=low

  * New upstream version.
  * Make deejayd-xserver init script depend on x11-common in the start
    sequence.
  * Add suggests of python-zope.interface for plugins.
  * Add debian source format 1.0 .

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Sat, 03 Apr 2010 16:29:15 +0200

deejayd (0.9.0-4) unstable; urgency=low

  * Add missing ${misc:Depends} dependency to all binary packages.
  * Depend on libxine1-x instead of libxine1 for deejayd-xine (dh_xine is *NOT*
    used because of the big useless builddep on libxine-dev) (Closes: #575118).
  * Fix spelling mistake in deejayd.conf manual page (usefull → useful).
  * Update Vcs-* fields in debian/control te reflect Hg switch.
  * Update policy to 3.9.1: Handle djc binary package removal with
    Breaks/Replaces instead of Conflicts.
  * Fix override disparity of binary package deejayd-xine by allocating it to
    section 'video'.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 20 Sep 2010 21:18:57 +0200

deejayd (0.9.0-3) unstable; urgency=low

  * Simplify debian/rules by removing per-python-version targets which are
    not needed (Closes: #587326).
  * Drop the 'current' keyword in the 'XS-Python-Version' debian/control
    field to ensure compatibility with newer Python versions without
    rebuilding.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 20 Sep 2010 15:38:40 +0200

deejayd (0.9.0-2) unstable; urgency=low

  * Xorg related scripts : fix auth files created in / by passing -t to mktemp.
  * Fix another bashism in /etc/init.d/deejayd.
  * Really fix build with python2.6 by applying patch from Kumar Appaiah
    (Closes: #547815).

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Tue, 13 Oct 2009 20:48:47 +0200

deejayd (0.9.0-1) unstable; urgency=low

  * New upstream version.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Tue, 22 Sep 2009 07:58:33 +0200

deejayd (0.8.3-2) unstable; urgency=low

  * Xorg connection scripts :
    - do not force mktemp to use /tmp.
    - fix possible bashisms in related scripts.
    - ensure required variables have default values.
    - change [ -r $filepath ] to [ -r "$filepath" ] in scripts to ensure proper
      behaviour.
    - when using the provided Xorg initscript, ensure the X server is ready to
      accept connections before trying to launch the X clients.
  * Update to policy 3.8.3 (nothing to do).

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Wed, 26 Aug 2009 22:05:34 +0200

deejayd (0.8.3-1) UNRELEASED; urgency=low

  * New upstream release ensuring compatility with Firefox/Iceweasel >= 3.5 .
  * Improve how Deejayd can connect to Xorg, see README.Debian and comments
    in /etc/default/deejayd .
  * Update to policy 3.8.2 (nothing to do).

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 06 Jul 2009 07:25:10 +0200

deejayd (0.8.2-1) UNRELEASED; urgency=low

  * New upstream version fixing playback of albums lacking album art.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Sun, 24 May 2009 10:30:52 +0200

deejayd (0.8.1-1) UNRELEASED; urgency=low

  * New upstream version.
  * Add new deejayd-webui-extension binary package.
  * Remove the djc binary package and include the djc script in the
    deejayd-client binary package.
  * Improve debian/rules clean target by making it remove all .pyc files.
  * Bump standards version to 3.8.1 :
    - Ensure the start action of the init script does not start the daemon
      again.
  * Fixed default file (/etc/default/deejayd).
  * Do not process the deejayd-webui-extension packages with dh_pycentral.
  * Added NEWS to installed doc.
  * Update Vcs-Browser field.
  * Simplify clean rule thanks to upstream improvements (Closes: #535374).
  * Add upstream tarball embbedded JQuery copy licence information to
    debian/copyright.
  * Fix build with Python 2.6 as distutils file locations change from
    site-packages to dist-packages, for public modules (LP: #351626).

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Thu, 21 May 2009 15:09:11 +0200

deejayd (0.7.2-2) unstable; urgency=low

  * Update to policy 3.8.0 (nothing to do).
  * Add a README.Debian files for configuration information.
  * Allow whitespace characters in activated_modes configuration variable.
  * Upstream provided fixes for Firefox 3 in the XUL webui (search box and
    others).
  * Remove Debian specific manpages which have been included upstream (and
    backport build system into this version).
  * Some cleanups in debian/rules clean target.


