=== debian/control ===
Source: deejayd
Section: sound
Priority: extra
Maintainer: Alexandre Rossi <alexandre.rossi@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Build-Depends-Indep: gettext, xsltproc, docbook-xsl,
                     mozilla-devscripts (>>0.16~)
Standards-Version: 3.9.2.0
X-Python-Version: >= 2.4
Homepage: http://mroy31.dyndns.org/~roy/projects/deejayd
Vcs-Hg: http://mroy31.dyndns.org/repository/deejayd
Vcs-Browser: http://mroy31.dyndns.org/repository/deejayd

Package: deejayd
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         lsb-base (>= 3.0-6), logrotate, adduser,
         deejayd-client (= ${binary:Version}),
         deejayd-xine (= ${binary:Version}) | deejayd-gstreamer (= ${binary:Version}),
         python-twisted,
         python-pysqlite2 | python-mysqldb,
         python-lxml, python-mutagen, python-kaa-metadata (>= 0.7.3)
Recommends: python-pyinotify (>= 0.6.0)
Suggests: deejayd-webui,
          xserver-xorg, xauth, x11-utils, x11-common,
          python-zope.interface
Breaks: deejayd-client (<< 0.8.4)
Description: Network controllable media player daemon
 Deejayd is a multi purpose media player that can be completely controlled
 through the network using XML messages.
 It suppports playlists, searching, many media tags. It can playback many
 music and video formats using either its xine (recommended) or its GStreamer
 backend.

Package: deejayd-webui
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deejayd (= ${binary:Version}), logrotate,
         python-twisted-web, libjs-jquery
Description: Web interface for deejayd
 This package provides, in order to control your deejayd server:
    - a XUL web interface and,
    - a pure HTML and AJAX web interface optimized for small screens.
 .
 The required webserver is embedded in the deejayd daemon.

Package: deejayd-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-simplejson | python (>= 2.6)
Breaks: djc (<= 0.8.1)
Replaces: djc
Description: Client library and command line tool to access the deejayd server
 This package provides easy to use classes to manipulate the deejayd server,
 abstracting XML message processing and network operations. It fully implements
 the set of features exploitable from the server.
 .
 It also includes djc, which provides a subset of deejayd commands for your
 deejayd server to be reachable from the command line.

Package: deejayd-xine
Section: video
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-ctypes (>= 1.0.0) | python (>= 2.5),
         libxine1-x, libx11-6, libxext6
Description: Deejayd XINE backend
 The deejayd media backend using the XINE library.

Package: deejayd-gstreamer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         gstreamer0.10-plugins-base, python-gst0.10
Recommends: gstreamer0.10-gnomevfs, lsdvd
Description: Deejayd GStreamer backend
 The deejayd media backend using the GStreamer library.

Package: xul-ext-deejayd-webui
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}, iceweasel
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: deejayd-webui-extension
Replaces: deejayd-webui-extension
Description: Deejayd web user interface XUL extension
 The Deejayd Iceweasel browser extension provides a richer user interface to
 use as a client to the Deejayd server.
