=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://mroy31.dyndns.org/~roy/archives/deejayd/ deejayd-([\d\.]*)\.tar\.gz
